{% extends 'base.html' %}
{% block content %}

{% if testcase_result %}
{% csrf_token %}
<h1>Test results table</h1><br>
<table class="table table-bordered">
    <tr>
        <th scope="col">TC id</th>
        <th scope="col">TC name</th>
        <th scope="col">Location</th>
        <th scope="col">Assignee</th>
        <th scope="col">Status</th>
    </tr>
    {% for item in testcase_result %}
    <tr>
        <td scope="row">{{ item.testcase.id }}</td>
        <td class="text-nowrap">{{ item.testcase.name }}</td>
        <td class="text-nowrap">{{ item.location }}</td>
        <td class="text-nowrap">{{ item.assignee }}</td>
        <td class="text-nowrap">{{ item.status }}</td>
    </tr>
    {% endfor %}
</table>
{% else %}
<p>No results</p>
{% endif %}
{% endblock content %}